Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.project.packaging
[Groovy] Class GrailsProjectWarCreator

    java.lang.Object
      org.codehaus.groovy.grails.cli.api.BaseSettingsApi
          org.codehaus.groovy.grails.project.packaging.GrailsProjectWarCreator

    class GrailsProjectWarCreator
    extends BaseSettingsApi

Creates a WAR file from a Grails project.

Authors:
  Graeme Rocher

Since:
  2.1

Field Summary

Fields inherited from class BaseSettingsApi
appClassName, buildEventListener, buildProps, buildSettings, configSlurper, enableProfile, grailsAppName, grailsHome, isInteractive, metadata, metadataFile, pluginSettings, pluginsHome, resolver

Property Summary
`java.lang.Object` | `additionalEventArgs`
`boolean` | `buildExplodedWar`
`groovy.lang.Closure` | `defaultWarDependencies`
`GrailsBuildEventListener` | `eventListener`
`BuildSettings` | `grailsSettings`
`boolean` | `includeJars`
`java.lang.String` | `warName`

Constructor Summary
`GrailsProjectWarCreator(BuildSettings settings, GrailsBuildEventListener buildEventListener, GrailsProjectPackager projectPackager, groovy.util.AntBuilder ant = new AntBuilder(, boolean interactive = false)`

Method Summary
`java.lang.Object` | `cleanUpAfterWar()` ") fileset(dir: "${resourcesDirPath}/grails-app", includes: "i18n/**") }
`java.lang.String` | `configureWarName(java.lang.String commandLineName = null)`
`void` | `createDescriptor()`
`protected void` | `createDescriptorInternal(java.lang.Object pluginInfos, java.lang.Object resourceList)`
`void` | `packageWar()`
`void` | `warPluginsInternal(java.util.List pluginInfos)`

Methods inherited from class BaseSettingsApi
confirmInput, confirmInput, copyGrailsResource, copyGrailsResource, copyGrailsResources, copyGrailsResources, enableUaa, exit, getAppClassName, getAppGrailsVersion, getBuildProps, getBuildSettings, getConfigSlurper, getGrailsAppName, getGrailsAppVersion, getGrailsHome, getIsInteractive, getMetadata, getMetadataFile, getPluginBuildSettings, getPluginSettings, getPluginsHome, getPropertyValue, getResolver, getServerHost, getServerPort, getServerPortHttps, getServletVersion, grailsResource, isDeclared, isEnableProfile, logError, logErrorAndExit, makeApiAvailableToScripts, makeRelative, makeRelative, profile, readAllPluginXmlMetadata, readPluginXmlMetadata, resolveResources, updateMetadata, updateMetadata

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### additionalEventArgs

    java.lang.Object additionalEventArgs

### buildExplodedWar

    boolean buildExplodedWar

### defaultWarDependencies

    groovy.lang.Closure defaultWarDependencies

### eventListener

    GrailsBuildEventListener eventListener

### grailsSettings

    BuildSettings grailsSettings

### includeJars

    boolean includeJars

### warName

    java.lang.String warName

Constructor Detail

### GrailsProjectWarCreator

    GrailsProjectWarCreator(BuildSettings settings, GrailsBuildEventListener buildEventListener, GrailsProjectPackager projectPackager, groovy.util.AntBuilder ant = new AntBuilder(, boolean interactive = false)

Method Detail

### cleanUpAfterWar

    java.lang.Object cleanUpAfterWar()

  ") fileset(dir: "${resourcesDirPath}/grails-app", includes: "i18n/**") } def classesDirExcludes = { exclude(name: "hibernate") exclude(name: "spring") exclude(name: "hibernate/*") exclude(name: "spring/*") } ant.copy(todir:"${stagingDir}/WEB-INF/classes", preservelastmodified:true) { fileset(dir:pluginClassesDirPath, classesDirExcludes) } ant.copy(todir:"${stagingDir}/WEB-INF/classes", overwrite:true, preservelastmodified:true) { fileset(dir:classesDirPath, classesDirExcludes) } ant.mkdir(dir:"${stagingDir}/WEB-INF/spring") ant.copy(todir:"${stagingDir}/WEB-INF/spring", preservelastmodified:true) { fileset(dir:"${basedir}/grails-app/conf/spring", includes:"*

### configureWarName

    @CompileStatic
    java.lang.String configureWarName(java.lang.String commandLineName = null)

### createDescriptor

    @CompileStatic
    void createDescriptor()

### createDescriptorInternal

    protected void createDescriptorInternal(java.lang.Object pluginInfos, java.lang.Object resourceList)

### packageWar

    void packageWar()

### warPluginsInternal

    void warPluginsInternal(java.util.List pluginInfos)

Groovy Documentation